For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all appointments
        • POSTQuery Appointment Availability: Rent Manager - Not Supported
        • POSTCancel Applicant Appointment: Rent Manager
        • POSTCreate Applicant Appointment: Rent Manager
        • PUTUpdate Applicant Appointment: Rent Manager
        • POSTCancel Lead Appointment: Rent Manager
        • POSTCreate Lead Appointment: Rent Manager
        • PUTUpdate Lead Appointment: Rent Manager
        • POSTCancel Resident Appointment: Rent Manager
        • POSTCreate Resident Appointment: Rent Manager
        • PUTUpdate Resident Appointment: Rent Manager
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Rent ManagerAppointments

Cancel Lead Appointment: Rent Manager

POST
/v1/events/appointments/leads/cancel/rentmanager
POST
/v1/events/appointments/leads/cancel/rentmanager
$curl -X POST https://api.propexo.com/v1/events/appointments/leads/cancel/rentmanager \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "integration_id": "rm-987654321",
> "event_id": "evt-123456789"
>}'
1{
2 "meta": {
3 "job_id": "job-20240615-001"
4 },
5 "result": {
6 "integration_id": "rm-987654321",
7 "event_id": "evt-123456789"
8 }
9}
Cancel Lead Appointment: Rent Manager | Method | |---| | DELETE /Appointments/{appointmentId} | <Note title="Notice">Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.</Note>
Was this page helpful?
Previous

Create Lead Appointment: Rent Manager

Next
Built with

Cancel Lead Appointment: Rent Manager

Method
DELETE /Appointments/{appointmentId}
Notice
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
integration_idstringRequired
The Propexo unique identifier for the integration
event_idstringRequired
The Propexo unique identifier for the event

Response

Successful response
metaobject
resultobject

Errors

400
Bad Request Error